{ ***************************************************************************
  `upxconst.inc' -- UPX constants.

  Converted from UPX' `src\conf.h' to Pascal syntax.

  This file is part of UPXDUMP.

  Copyright (C) 1997-2017  Robert Riebisch

  UPXDUMP is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  UPXDUMP is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file `licence.txt'.
  *************************************************************************** }

{ magic constants }
UPX_MAGIC_LE32   = $21585055;  { 'UPX!' }
UPX_MAGIC2_LE32  = $D5D0D8A1;  { not used by UPXDUMP }

{ converted to magic constant from UPX' `src\p_w32pe.cpp' }
RTM32_MAGIC_LE32  = $54533233;  { '32ST' }
RTM32_MAGIC2_LE16 = $4255;      { 'UB' }

{ executable formats. note: big endian types are >= 128. }
UPX_F_DOS_COM            =   1;
UPX_F_DOS_SYS            =   2;
UPX_F_DOS_EXE            =   3;
UPX_F_DJGPP2_COFF        =   4;
UPX_F_WATCOM_LE          =   5;
UPX_F_VXD_LE             =   6;  { NOT IMPLEMENTED }
UPX_F_DOS_EXEH           =   7;  { OBSOLETE }
UPX_F_TMT_ADAM           =   8;
UPX_F_WIN32_PE           =   9;
UPX_F_LINUX_i386         =  10;
UPX_F_WIN16_NE           =  11;  { NOT IMPLEMENTED }
UPX_F_LINUX_ELF_i386     =  12;
UPX_F_LINUX_SEP_i386     =  13;  { NOT IMPLEMENTED }
UPX_F_LINUX_SH_i386      =  14;
UPX_F_VMLINUZ_i386       =  15;
UPX_F_BVMLINUZ_i386      =  16;
UPX_F_ELKS_8086          =  17;  { NOT IMPLEMENTED }
UPX_F_PS1_EXE            =  18;
UPX_F_VMLINUX_i386       =  19;
UPX_F_LINUX_ELFI_i386    =  20;
UPX_F_WINCE_ARM_PE       =  21;
UPX_F_LINUX_ELF64_AMD    =  22;
UPX_F_LINUX_ELF32_ARMEL  =  23;
UPX_F_BSD_i386           =  24;
UPX_F_BSD_ELF_i386       =  25;
UPX_F_BSD_SH_i386        =  26;  { NOT IMPLEMENTED? }

UPX_F_VMLINUX_AMD64      =  27;
UPX_F_VMLINUX_ARMEL      =  28;
UPX_F_MACH_i386          =  29;
UPX_F_LINUX_ELF32_MIPSEL =  30;
UPX_F_VMLINUZ_ARMEL      =  31;
UPX_F_MACH_ARMEL         =  32;

UPX_F_DYLIB_i386         =  33;
UPX_F_MACH_AMD64         =  34;
UPX_F_DYLIB_AMD64        =  35;

UPX_F_WIN64_PEP          =  36;

UPX_F_MACH_ARM64EL       =  37;

UPX_F_MACH_PPC64LE       =  38;
UPX_F_LINUX_ELFPPC64LE   =  39;
UPX_F_VMLINUX_PPC64LE    =  40;
UPX_F_DYLIB_PPC64LE      =  41;

UPX_F_LINUX_ELF64_ARM    =  42;

UPX_F_ATARI_TOS          = 129;
UPX_F_SOLARIS_SPARC      = 130;  { NOT IMPLEMENTED }
UPX_F_MACH_PPC32         = 131;
UPX_F_LINUX_ELFPPC32     = 132;
UPX_F_LINUX_ELF32_ARMEB  = 133;
UPX_F_MACH_FAT           = 134;
UPX_F_VMLINUX_ARMEB      = 135;
UPX_F_VMLINUX_PPC32      = 136;
UPX_F_LINUX_ELF32_MIPSEB = 137;
UPX_F_DYLIB_PPC32        = 138;

{ compression methods }
M_NRV2B_LE32 =  2;
M_NRV2B_8    =  3;
M_NRV2B_LE16 =  4;
M_NRV2D_LE32 =  5;
M_NRV2D_8    =  6;
M_NRV2D_LE16 =  7;
M_NRV2E_LE32 =  8;
M_NRV2E_8    =  9;
M_NRV2E_LE16 = 10;
{ M_CL1B_LE32  = 11; }
{ M_CL1B_8     = 12; }
{ M_CL1B_LE16  = 13; }
M_LZMA       = 14;
M_DEFLATE    = 15;  { zlib }

{ EOF }
